> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rxresu.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public resume style projection

> Returns the source-free resolved semantic PDF style projection after applying public, private-owner, and password access rules.



## OpenAPI

````yaml /spec.json get /resumes/{username}/{slug}/style-projection
openapi: 3.1.1
info:
  title: Reactive Resume
  version: 5.2.5
  description: Reactive Resume API
  license:
    name: MIT
    url: https://github.com/amruthpillai/reactive-resume/blob/main/LICENSE
  contact:
    name: Amruth Pillai
    email: hello@amruthpillai.com
    url: https://amruthpillai.com
servers:
  - url: https://rxresu.me/api/openapi
security:
  - apiKey: []
externalDocs:
  url: https://docs.rxresu.me
  description: Reactive Resume Documentation
paths:
  /resumes/{username}/{slug}/style-projection:
    get:
      tags:
        - Resume Sharing
      summary: Get public resume style projection
      description: >-
        Returns the source-free resolved semantic PDF style projection after
        applying public, private-owner, and password access rules.
      operationId: getResumeStyleProjection
      parameters:
        - name: username
          in: path
          required: true
          schema:
            type: string
        - name: slug
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The validated public style projection.
          content:
            application/json:
              schema:
                type: object
                properties:
                  formatVersion:
                    const: 1
                  languageVersion:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    exclusiveMinimum: 0
                  semanticTreeVersion:
                    const: 1
                  registryFingerprint:
                    type: string
                    pattern: ^[a-f0-9]{64}$
                  adapterFingerprint:
                    type: string
                    pattern: ^[a-f0-9]{64}$
                  renderDataHash:
                    type: string
                    pattern: ^[a-f0-9]{64}$
                  nodes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: object
                      properties:
                        style:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties:
                            anyOf:
                              - type: string
                              - type: number
                              - type: 'null'
                        size:
                          anyOf:
                            - enum:
                                - A4
                                - LETTER
                              type: string
                            - type: object
                              properties:
                                width:
                                  type: number
                                height:
                                  type: number
                              required:
                                - width
                              additionalProperties: false
                        break:
                          type: boolean
                        wrap:
                          type: boolean
                        fixed:
                          type: boolean
                        minPresenceAhead:
                          type: number
                        orphans:
                          type: number
                        widows:
                          type: number
                        hidden:
                          type: boolean
                        order:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                      additionalProperties: false
                required:
                  - formatVersion
                  - languageVersion
                  - semanticTreeVersion
                  - registryFingerprint
                  - adapterFingerprint
                  - renderDataHash
                  - nodes
                additionalProperties: false
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header
      description: The API key to authenticate requests.

````